#!/bin/bash
#
# Script d'installation de mod_passenger pour apache
#
GEMS_BASE=/var/lib/gems/1.8/gems

echo "Installation du module mod_passenger pour Apache"
echo " "
echo "Installation der prerequis"
apt-get install ruby1.8-dev libcurl4-openssl-dev libssl-dev
apt-get install apache2-prefork-dev libapr1-dev libaprutil1-dev
echo " "
echo "Installation de Passenger via gem"
echo " "
gem install passenger
echo " "
PSGR_VERSION=`gem list | grep passenger | cut -d '(' -f 2 | tr -d '()' `
echo "Version de passenger : $PSGR_VERSION"
echo " "
echo "Creation du module apache"
PSGR_PATH=$GEMS_BASE/passenger-$PSGR_VERSION
echo "Passenger Path = $PSGR_PATH"
# $GEMS_BASE/passenger-$PSGR_VERSION/bin/passenger-install-apache2-module
$PSGR_PATH/bin/passenger-install-apache2-module
echo " "
echo "Configuration du module Apache"
echo 
MOD_PSGR_PATH=$PSGR_PATH/ext/apache2/mod_passenger.so
echo "mod_passenger path = $MOD_PSGR_PATH
echo "LoadModule passenger_module $MOD_PSGR_PATH" > /etc/apache2/mods-available/passenger.load
echo 
echo "PassengerRoot $PSGR_PATH" > /etc/apache2/mods-available/passenger.conf
echo "PassengerRuby /usr/bin/ruby1.8" >>  /etc/apache2/mods-available/passenger.conf

echo "Activation du module Passenger..."
a2enmod passenger
echo "Relance Apache"
/etc/init.d/apache2 restart

